
ctools - Action #3431

Add ctlike results to XML file

11/03/2020 11:55 AM - Knödlseder Jürgen

Status: Closed Start date: 11/03/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Information on ctlike results that are displayed in the log file should also be written into the XML result file.

Here is an example of the structure that should be added:

<ctlike_results title="ctlike fit result">

  <precision>0.05</precision>

  <acceptable_value_decrease>2</acceptable_value_decrease>

  <status>converged</status>

  <parameters>18</parameters>

  <free_parameters>4</free_parameters>

  <iterations>4</iterations>

  <lambda>1e-08</lambda>

  <logL>1657738.39459621</logL>

  <nobs>1752525</nobs>

  <npred>1752524.93814059</npred>

  <cpu>7.54387</cpu>

</ctlike_results>

History

#1 - 11/03/2020 12:12 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 20

I added value constructors to the GXmlElement class to simplify the code on the ctools side.

#2 - 11/03/2020 02:37 PM - Knödlseder Jürgen

- Status changed from In Progress to Pull request

- % Done changed from 20 to 90

Here is what I currently have implemented:

<ctlike_results title="ctlike fit results">

  <status>converged</status>

  <log-likelihood>-2384.23786853796</log-likelihood>

  <precision>0.005</precision>

  <iterations>1</iterations>

  <lambda>0.0001</lambda>

  <total_parameters>10</total_parameters>

  <fitted_parameters>4</fitted_parameters>

  <observed-events>253</observed-events>

  <predicted-events>252.999995801846</predicted-events>

  <refit>yes</refit>
  <edisp>no</edisp>

  <fix-spatial-for-ts>yes</fix-spatial-for-ts>

  <elapsed-time>0</elapsed-time>

  <cpu-seconds>0.643094</cpu-seconds>

</ctlike_results>

#3 - 11/08/2020 08:46 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Code merged into devel.
